Members
The members resource represents contacts who are members.
Member object
{
"id": "0198ae4e-0912-7009-a834-2a54c7069cf5",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"contact": "0198a3d1-cc50-7acf-bf60-oecn2sa0kh8c",
"member_identifier": "10229",
"status": "01988bb8-2077-7be6-8a26-38d1c7991e87",
"date_start": "2022-12-06",
"date_end": null,
"staff_advisor": "0198a8c5-cb14-7f37-885b-a4g5sy7zl4kf",
"reachout_enabled": false,
"reachout_duration_days": 0,
"notes": null,
"meta": null,
"archived_at": null,
"created_at": "2025-08-15 15:16:46",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- contactrequired stringUnique ID of the contact.
- member_identifiernullable stringUnique identifier for the member within the tenant.
- statusnullable stringUnique ID of the status.
- date_startrequired stringUTC timestamp of when the member started.
- date_endnullable stringUTC timestamp of when the member ended.
- staff_advisornullable stringUnique ID of the staff acting as advisor to this member.
- reachout_enabledbooleanWhether reachout is enabled for this member. The default value is
false. - reachout_duration_daysnullable integerThe number of days to elapse between the last member attendance and reachout before reachout is due as shown in the reachout report. If
reachout_enabledistrueand the staff advisor's email address corresponds to a valid Bloom user, a reachout notification will be created for the staff advisor when reachout is due. - notesnullable stringNotes about the member.
- metanullable objectAdditional metadata about the staff.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a member
POST /tenants/{tenantId}/members
The request body must include a member object.
Required permissions
members:create contacts:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Member object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
| 409 | Conflict | Member identifier already exists for tenant | Error object |
List members
GET /tenants/{tenantId}/members
Required permissions
members:read contacts:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of member objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a member
GET /tenants/{tenantId}/members/{id}
Required permissions
members:read contacts:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Member object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or member ID not found | Error object |
Update a member
PATCH /tenants/{tenantId}/members/{id}
The request body must include parts of a member object.
Required permissions
members:update contacts:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated member record | Member object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or staff ID not found | Error object |
| 409 | Conflict | Member identifier already exists for tenant | Error object |
Delete a member
DELETE /tenants/{tenantId}/members/{id}
Required permissions
members:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?